﻿//-------------------------------------------------------------
//- Copyright (C) 2017-2018 gamevanilla. All rights reserved. -
//-------------------------------------------------------------

using UnityEngine;

namespace CCG
{
    [CreateAssetMenu(menuName = "CCG/Effects/Deal damage to creature", fileName = "DealDamageToCreature", order = 1)]
    public class DealDamageToCreatureEffect : CreatureEffectModel
    {
        public int Damage;

        public override void Resolve(RuntimeCreature creature)
        {
            creature.Hp -= Damage;
        }
    }
}